<?php
define("CODSTATS", "1");

require_once("CodMod.php");

class Config{
    public $Tytul = 'Tytul strony (wyswietlany u gory)';
    public $Styl = 'blue';

    public $TytulStrony = 'Statystyki serwera Call of Duty';
    public $OpisStrony = 'www.adres-strony-www.pl';

    public $Host = "127.0.0.1";
    public $User = "root";
    public $Password = "";
    public $Plik = "CodMod.vault";
    public $Sciezka = '/';

    public $Save = CodMod::NVAULT;
    public $Version = CodMod::NVAULT_FINAL;

    public $TimeLimit = 10;

    public $Zapispo = CodMod::SAVEBY_NAME;

    public function  __construct() {
        if(file_exists("config.php")){
            require_once("config.php");

            $this->Tytul = $tytul;
            $this->Styl = $styl;

            $this->TytulStrony = $tytul_strony;
            $this->OpisStrony = $opis_strony;

            $this->Host = $host;
            $this->User = $user;
            $this->Password = $password;
            $this->Plik = $plik;
            $this->Sciezka = $sciezka;

            $this->Save = $save;
            $this->Version = $version;

            $this->Zapispo = $zapispo;
        }
        
        if(defined("TIMELIMIT"))
            $this->TimeLimit = TIMELIMIT;
        else
            $this->TimeLimit = 10;

        if(!empty($_POST))
            $this->retrievePost();
    }

    private function retrievePost(){
        
        if(isset($_POST['save']))
            $this->Save = $_POST['save'];
        
        if(isset($_POST['title']))
            $this->Tytul = $_POST['title'];
        if(isset($_POST['page_title']))
            $this->TytulStrony = $_POST['page_title'];
        if(isset($_POST['page_desc']))
            $this->OpisStrony = $_POST['page_desc'];
        if(isset($_POST['TimeLimit']))
            $this->TimeLimit = $_POST['TimeLimit'];

        if($this->Save == CodMod::NVAULT){
            if(isset($_POST['version'][0]))
                $this->Version = $_POST['version'][0];

            if(isset($_POST['FTPhost']))
                $this->Host = $_POST['FTPhost'];
            if(isset($_POST['FTPuser']))
                $this->User = $_POST['FTPuser'];
            if(isset($_POST['FTPpass']))
                $this->Password = $_POST['FTPpass'];
            if(isset($_POST['FTPpath']))
                $this->Sciezka = $_POST['FTPpath'];
            if(isset($_POST['FTPfile']))
                $this->Plik = $_POST['FTPfile'];
        }
        
        if($this->Save == CodMod::MYSQL){
            if(isset($_POST['version'][1]))
                $this->Version = $_POST['version'][1];
            
            if(isset($_POST['MYSQLhost']))
                $this->Host = $_POST['MYSQLhost'];
            if(isset($_POST['MYSQLuser']))
                $this->User = $_POST['MYSQLuser'];
            if(isset($_POST['MYSQLpass']))
                $this->Password = $_POST['MYSQLpass'];
            if(isset($_POST['MYSQLdb']))
                $this->Plik = $_POST['MYSQLdb'];
        }

        if(isset($_POST['saveby']))
            $this->Zapispo = $_POST['saveby'];
        $this->save();
    }

    public function save(){
        $fp = fopen("config.php", "wt");

        fputs($fp, "<?php\ndefined(\"CODSTATS\") or die()\r\n;");
        fprintf($fp, '$tytul = "%s";%s', $this->Tytul, "\r\n");
        fprintf($fp, '$styl = "%s";%s%s', $this->Styl, "\r\n", "\r\n");

        fprintf($fp, '$tytul_strony = "%s";%s', $this->TytulStrony, "\r\n");
        fprintf($fp, '$opis_strony = "%s";%s%s', $this->OpisStrony, "\r\n", "\r\n");
        
        fprintf($fp, '$host = "%s";%s', $this->Host, "\r\n");
        fprintf($fp, '$user = "%s";%s', $this->User, "\r\n");
        fprintf($fp, '$password = "%s";%s', $this->Password, "\r\n");
        fprintf($fp, '$plik = "%s";%s', $this->Plik, "\r\n");
        fprintf($fp, '$sciezka = "%s";%s%s', $this->Sciezka, "\r\n", "\r\n");

        fprintf($fp, '$save = %s;%s', $this->Save, "\r\n");
        fprintf($fp, '$version = %s;%s', $this->Version, "\r\n");
        fprintf($fp, '$zapispo = %s;%s', $this->Zapispo, "\r\n");

        fprintf($fp, 'if(!defined("TIMELIMIT")) define("TIMELIMIT", %s);%s', $this->TimeLimit, "\r\n");
        fputs($fp, "\n?>");
        fclose($fp);
    }
};

$config = new Config();

?>

<!Doctype>
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8">
		<meta name="robots" content="index, follow">
		<title>Konfigurator statystyk</title>
                <script language="JavaScript" type="text/javascript" src="assets/jquery-1.6.2.min.js"></script>
                <script language="JavaScript" type="text/javascript" src="assets/configure.js"></script>
		<link rel="stylesheet" href="assets/css/configure.css" type="text/css">
                <link rel="stylesheet" href="themes/default/style.css" type="text/css">

	</head>
        <body>
            <div id="wrapper">
		<div id="container">
			<div class="panel wide" id="logo">
				<h1>Konfigurator</h1>
				<img src="images/class_over.png" alt="menubar_hover" style="display:none">
			</div>
            <div class="panel wide">
            <div class="formwrap">
            <form method="POST" action="configure.php">
                <div class="column">
                    <h3>Ustawienia strony</h3>
                <div class="form-group">
                    <div>
                        Wybierz typ zapisu
                    </div>
                    <div>
                        <select name="save" id="method_select">
                            <option value="0" <?php if($config->Save == 0) echo "selected=\"selected\""?>>nVault</option>
                            <option value="1" <?php if($config->Save == 1) echo "selected=\"selected\""?>>MySQL</option>
                        </select>
                    </div>
                </div>
                <div class="form-group nvault">
                    <div>
                        Wersja codmoda
                    </div>
                    <div>
                        <select name="version[]" id="version_select">
                            <?php
                            foreach(CodMod::$VERSION_METHODS as $key=>$value){
                                if($value == CodMod::NVAULT){
                                    echo "<option value=\"$key\"";
                                    if($config->Version == $key)
                                            echo " selected=\"selected\"";

                                    echo ">".CodMod::$VERSION_LABELS[$key].
                                    "</option>";
                                  }
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <div class="form-group mysql">
                    <div>
                        Wersja codmoda
                    </div>
                    <div>
                        <select name="version[]" id="version_select">
                            <?php
                            foreach(CodMod::$VERSION_METHODS as $key=>$value){
                                if($value == CodMod::MYSQL){
                                    echo "<option value=\"$key\"";
                                    if($config->Version == $key)
                                            echo " selected=\"selected\"";
                                    echo ">".CodMod::$VERSION_LABELS[$key]."</option>";
                               }
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <div>
                        Tytuł strony
                    </div>
                    <div>
                        <input name="title" type="text" value="<?php echo $config->Tytul;?>"/>
                    </div>
                </div>
                    
                <div class="form-group">
                    <div>
                        Nagłówek strony
                    </div>
                    <div>
                        <input name="page_title" type="text" value="<?php echo $config->TytulStrony;?>"/>
                    </div>
                </div>
                <div class="form-group">
                    <div>
                        Opis strony
                    </div>
                    <div>
                        <input name="page_desc" type="text" value="<?php echo $config->OpisStrony;?>"/>
                    </div>
                </div>

                <div class="form-group">
                    <?php
                                $dir = "themes/";
                                $themes = array();

                                if (is_dir($dir)) {
                                    if ($dh = opendir($dir)) {
                                        while (($file = readdir($dh)) !== false) {
                                            if($file == '.' || $file == '..') continue;

                                            if(is_dir($dir."/".$file)){
                                                array_push($themes, $file);

                                            echo "<img src=\"themes/$file/preview.jpg\" alt=\"preview\" style=\"display:none\">";
                                            }
                                        }
                                        closedir($dh);
                                    }
                                }
                                
                                $curTheme = $config->Styl;
                                echo $curTheme;
                    ?>
                    <div>
                        Styl<br />

                        <img id="theme-preview" alt="preview" src="themes/<?php echo $curTheme;?>/preview.jpg"/>
                    </div>
                    <div>
                        <select id="theme">
                            <?php
                                foreach($themes as $theme){
                                    if($theme == $curTheme)
                                        echo "<option selected=\"selected\">$theme</option>";
                                    else
                                        echo "<option>$theme</option>";
                                }
                            ?>
                        </select>
                    </div>
                </div>

                </div>
                <div class="column">
                    <h3>Ustawienia danych</h3>
                <div class="form-group nvault">
                    <div>
                        Minimalny czas między aktualizacjami statystyk (w sekundach)
                    </div>
                    <div>
                        <input name="TimeLimit" type="text" value="<?php echo $config->TimeLimit;?>"/>
                    </div>
                </div>
                <div class="form-group nvault">
                    <div>
                        FTP : Host
                    </div>
                    <div>
                        <input name="FTPhost" type="text" value="<?php echo $config->Host;?>"/>
                    </div>
                </div>
                <div class="form-group nvault">
                    <div>
                        FTP : Użytkownik
                    </div>
                    <div>
                        <input name="FTPuser" type="text" value="<?php echo $config->User;?>"/>
                    </div>
                </div>
                <div class="form-group nvault">
                    <div>
                        FTP : Hasło
                    </div>
                    <div>
                        <input name="FTPpass" type="password" value="<?php echo $config->Password;?>"/>
                    </div>
                </div>
                <div class="form-group nvault">
                    <div>
                        FTP : Ścieżka
                    </div>
                    <div>
                        <input name="FTPpath" type="text" value="<?php echo $config->Sciezka;?>"/>
                    </div>
                </div>
                <div class="form-group nvault">
                    <div>
                        FTP : Plik
                    </div>
                    <div>
                        <input name="FTPfile" type="text" value="<?php echo $config->Plik;?>"/>
                    </div>
                </div>

                <div class="form-group nvault">
                    <div>
                        Aktualizacja pliku: <a href="update.php">sprawdź</a>
                    </div>
                </div>

                
                <div class="form-group mysql">
                    <div>
                        Sposób zapisu
                    </div>
                    <div>
                        <select name="saveby">
                            <option value="0">po nicku</option>
                            <option value="1">po SteamId</option>
                            <option value="2">po IP</option>
                        </select>
                    </div>
                </div>

                <div class="form-group mysql">
                    <div>
                        MySQL : Host
                    </div>
                    <div>
                        <input name="MYSQLhost" type="text" value="<?php echo $config->Host;?>"/>
                    </div>
                </div>

                <div class="form-group mysql">
                    <div>
                        MySQL : Użytkownik
                    </div>
                    <div>
                        <input name="MYSQLuser" type="text" value="<?php echo $config->User;?>"/>
                    </div>
                </div>
                <div class="form-group mysql">
                    <div>
                        MySQL : Hasło
                    </div>
                    <div>
                        <input name="MYSQLpass" type="password" value="<?php echo $config->Password;?>"/>
                    </div>
                </div>

                <div class="form-group mysql">
                    <div>
                        MySQL : Baza danych
                    </div>
                    <div>
                        <input name="MYSQLdb" type="text" value="<?php echo $config->Plik;?>"/>
                    </div>
                </div>
              </div>
              <div class="foot">
                <input type="submit" value="Zapisz" />
              </div>
            </form>
            </div>
            </div>
            </div>
            </div>
        </body>
<body>
