<?php
defined("CODSTATS") or die();

abstract class nvaultDataSet implements DataSet{
        protected $nvault;

        protected $filename;
        protected $updatetime;
        protected $readtime;

        protected static $filter;

        public function __construct($path, $config){            
            require_once("$path/nVault.reader.php");
            $this->nvault = new nVaultRead();

            $this->filename = $config['plik'];
            $this->updatetime = @filemtime($this->filename);

            if((time() - $this->updatetime) > TIMELIMIT){
                define("QUIET_MODE", "1");
                @require("update.php");
            }
            
            if(!$this->nvault->Open($this->filename)){
			die("<h1>Błąd przetwarzania pliku .vault</h1>");
            }
        }

        public function get($start=0, $num=15){ return NULL; }
        public function getByClass($class, $start=0, $num=15){ return NULL; }
        public function getByPlayer($data, $key, $start=0, $num=15){ return NULL; }

        public function getCount(){ return 0; }
        public function getCountByClass($class){ return 0; }
        public function getCountByPlayer($data){ return 0; }

        public function getReadTime(){ return NULL; }
        public function getUpdateTime($format = "d-m-Y H:i"){
		return date($format, $this->updatetime);
	}

}
?>
